Page MenuHomeFreeBSD

netgraph/ng_one2many: Clarification in comments about copy mode
ClosedPublic

Authored by donner on Feb 17 2020, 2:58 PM.

Details

Summary

In D23721 an old comment pointing to a probably more performant way was proven wrong.
Remove the comment, so that others do not run into this issue again.

Diff Detail

Repository
R10 FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

This revision is now accepted and ready to land.Feb 17 2020, 5:39 PM

I thought about one "alternative": a copy-on-write mode for mbufs. However, this means modifications to the mbuf code.

In D23727#525485, @neel_neelc.org wrote:

I thought about one "alternative": a copy-on-write mode for mbufs. However, this means modifications to the mbuf code.

That would be a new review.

This revision now requires review to proceed.Sep 25 2020, 7:26 PM
kp added a subscriber: kp.

Approved by: kp (mentor)

This revision is now accepted and ready to land.Jan 18 2021, 12:39 PM